# Financial Report

`GET` `/v1/quote/financial-reports`

Fetch income statement, balance sheet, and cash flow statement for any public company.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `AAPL.US` |
| `kind` | string | Yes | Report type: `IncomeStatement`, `BalanceSheet`, `CashFlow`, `All` |
| `period` | string | Yes | Report period: `Annual`, `SemiAnnual`, `Q1`, `Q2`, `Q3`, `ThreeQ`, `QuarterlyFull` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/financial-reports?symbol=<symbol>&kind=<kind>&period=<period>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object | Yes | Report data grouped by kind (key: report type code, e.g. `IS`, `BS`, `CF`) |
| `title` | string | No | Indicator title |
| `short_title` | string | No | Short title |
| `currency` | string | No | Currency |
| `has_yoy` | boolean | No | Whether year-over-year data is available |
| `entry` | string | No | Entry identifier |
| `periods` | string[] | No | Available reporting periods |
| `accounts` | object[] | No | List of financial line items |
| `field` | string | Yes | Field identifier |
| `percent` | boolean | No | Whether the value is a percentage |
| `tip` | string | No | Tooltip description |
| `values` | object[] | No | Historical values by period |
| `period` | string | Yes | Period label (e.g. `FY 2024`) |
| `year` | integer | No | Fiscal year |
| `fp_end` | string | No | Period end timestamp |
| `value` | string | No | Reported value |
| `ratio` | string | No | Ratio value |
| `yoy` | string | No | Year-over-year growth rate |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": {
      "IS": {
        "indicators": [
          {
            "title": "Income Statement",
            "short_title": "IS",
            "currency": "USD",
            "has_yoy": true,
            "entry": "IS",
            "periods": [
              "FY2025",
              "FY2024"
            ],
            "accounts": [
              {
                "field": "EPS",
                "name": "Earnings Per Share(USD)",
                "percent": false,
                "tip": "",
                "values": [
                  {
                    "period": "FY 2025",
                    "year": 2025,
                    "fp_end": "1758945600",
                    "value": "7.46",
                    "ratio": "",
                    "yoy": "0.227"
                  }
                ]
              }
            ]
          }
        ]
      }
    }
  }
}
```
